using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace IWS5.DatabaseAccess.IwsDataModels;

[Table("ATTimer")]
public partial class Attimer
{
    [Key]
    public int Id { get; set; }

    [Column("EventID")]
    public int EventId { get; set; }

    [Column("ProcessID")]
    public int ProcessId { get; set; }

    public int TimeValue { get; set; }

    [StringLength(20)]
    public string ValueType { get; set; } = null!;

    [ForeignKey("EventId")]
    [InverseProperty("Attimers")]
    public virtual AteventDefinition Event { get; set; } = null!;

    [ForeignKey("ProcessId")]
    [InverseProperty("Attimers")]
    public virtual AtprocessDefinition Process { get; set; } = null!;
}
